&&
Prev | 12.16. Raster Operators | Next

## Name

&& — Returns `TRUE` if A's bounding box intersects B's bounding box.

## Synopsis

`boolean &&(` raster A , raster B `)`;

`boolean &&(` raster A , geometry B `)`;

`boolean &&(` geometry B , raster A `)`;

## Description

The `&&` operator returns `TRUE` if the bounding box of raster/geometr A intersects the bounding box of raster/geometr B.

This operand will make use of any indexes that may be available on the rasters.

Availability: 2.0.0

## Examples

    SELECT A.rid As a_rid, B.rid As b_rid, A.rast && B.rast As intersect
     FROM dummy_rast AS A CROSS JOIN dummy_rast AS B LIMIT 3;

     a_rid | b_rid | intersect
    -------+-------+---------
         2 |     2 | t
         2 |     3 | f
         2 |     1 | f

Prev | Up | Next
ST_Polygon | Home | &<